@import "../content/header/top_bar";

#header {
  position: sticky;
  z-index: 20;
  top: 0;
  width: 100%;
  background-color: var(--white);
  transition: var(--transition);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);

  > .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    position: relative;

    @include media('md') {
      padding-top: 0;
      padding-bottom: 0;
    }
  }
}

#header.home-transparent.page-home {
  position: fixed;

  &.on-top{
    background-color: rgba(255, 255, 255, 0.3);
    box-shadow: none;
  }

  &:hover{
    background-color: var(--white);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
  }
}

#header .search-opener {
  display: flex;
  align-items: center;
  margin-right: 2rem;
  margin-left: auto;
}

#header .header-search {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(4px);
  z-index: 10;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: var(--transition);

  &.-active {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
  }

  .search-closer {
    position: absolute;
    cursor: pointer;
    right: 5%;
    top: 40%;
    background-color: var(--white);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.4);
    padding: .5rem 1rem;
    border-radius: .5rem;

    @include media('md') {
      right: 30%;
      top: 40%;
    }
  }

  .search-form {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.4);
    background-color: var(--white);
    border-radius: .6rem;
    width: 40rem;
    max-width: 90vw;
    background-color: var(--white);

    .field{
      width: 100%
    }
  
    .field input {
      border: 0;
      height: 3.6rem;
      width: 100%;
      padding: 0;
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-base);
      -webkit-appearance: none;
  
      &:focus { outline: none }
    }
  
    .search-action {
      display: flex;
      padding-right: 2rem;
      padding-left: 2rem;
      height: 3.6rem;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  
    .search-action .icon {
      height: 1.6rem;
      width: 1.6rem;
    }
  }
}

#header .logo {
  margin-right: 2rem;
  @include media("lg") {
    margin-right: 4rem;
  }

  a {
    display: block;
    width: max-content;
  }

  img {
    width: 15rem;
    object-fit: contain;

    @include media('md') { width: 16rem }
    @include media('lg') { width: 20rem }
  }

}

#header .actions {
  align-items: center;
  display: flex;
  justify-content: flex-end;
  gap: 2rem;

  > .account .account-button,
  > .cart .cart-button {
    font-size: var(--font-size-small);
    transition: var(--transition);

    &:hover { opacity: 0.5 }
  }

  > .account {
    font-weight: var(--font-weight-base);
    line-height: 1;
    display: none;

    @include media("md") { display: block }
  }

  > .cart .cart-button {
    font-weight: var(--font-weight-base);
    line-height: 1;
    display: flex;
    align-items: center;
    gap: 1rem;
    position: relative;
  }

  > .cart .count {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-small);
    height: 1.6rem;
    width: 1.6rem;
    line-height: var(--line-height);
    border-radius: 50%;
    background-color: var(--secondary-color);
    color: var(--white);
    position: absolute;
    top: -1rem;
    right: -0.8rem;
  }
}

#header .hamburger {
  margin-left: 2rem;
  display: flex;
  align-items: center;

  @include media('md') { display: none }
}

